summaryrefslogtreecommitdiff
path: root/dev-python/wxpython
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-05-08 18:59:26 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-05-08 18:59:26 +0000
commit2a056f8dc807f0f3f71656f72053560b984c03e3 (patch)
tree80ae95e5038d42192d4e16c6b45abd0fbedd4477 /dev-python/wxpython
parent8cea4c512f9d53d975cd02541621461424388de9 (diff)
downloadbaldeagleos-repo-2a056f8dc807f0f3f71656f72053560b984c03e3.tar.gz
baldeagleos-repo-2a056f8dc807f0f3f71656f72053560b984c03e3.tar.xz
baldeagleos-repo-2a056f8dc807f0f3f71656f72053560b984c03e3.zip
Adding metadata
Diffstat (limited to 'dev-python/wxpython')
-rw-r--r--dev-python/wxpython/wxpython-4.2.3-r1.ebuild6
1 files changed, 5 insertions, 1 deletions
diff --git a/dev-python/wxpython/wxpython-4.2.3-r1.ebuild b/dev-python/wxpython/wxpython-4.2.3-r1.ebuild
index d6cfd1105668..a9fa8d1b7d72 100644
--- a/dev-python/wxpython/wxpython-4.2.3-r1.ebuild
+++ b/dev-python/wxpython/wxpython-4.2.3-r1.ebuild
@@ -4,7 +4,7 @@
EAPI=8
DISTUTILS_EXT=1
DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..13} )
+PYTHON_COMPAT=( python3_{11..13} )
PYPI_NO_NORMALIZE=1
PYPI_PN="wxPython"
WX_GTK_VER="3.2-gtk3"
@@ -79,6 +79,10 @@ python_prepare_all() {
# sigh
sed -i -e '/from buildtools/i\
sys.path.insert(0, ".")' setup.py || die
+
+ # sigh, used only when fetching things implicitly which we definitely
+ # don't want; https://bugs.gentoo.org/955593
+ sed -i -e '/requests/d' build.py || die
}
src_configure() {